Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 696850 - media-libs/libheif-1.5.1 ld: cannot find -lheif
Summary: media-libs/libheif-1.5.1 ld: cannot find -lheif
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on: 711240
Blocks:
  Show dependency tree
 
Reported: 2019-10-06 13:36 UTC by Conrad Kostecki
Modified: 2020-09-06 14:56 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,62.12 KB, text/plain)
2019-10-06 13:37 UTC, Conrad Kostecki
Details
libheif-1.5.1.build.log (libheif-1.5.1.build.log,57.34 KB, text/plain)
2019-10-06 22:53 UTC, Christian Strahl
Details
libheif-1.5.1.ebuild (libheif-1.5.1.ebuild,1.02 KB, text/plain)
2019-10-06 23:06 UTC, Christian Strahl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2019-10-06 13:36:39 UTC
libtool: link: x86_64-pc-linux-gnu-g++ -m32 -I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1 -I.. -I/usr/include/libpng16 -march=native -mfpmath=sse,387 -mtune=intel -O3 -frecord-gcc-switches -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe -fvisibility-inlines-hidden -Wall -Wsign-compare -Wconversion -Wno-sign-conversion -Wno-error=conversion -Wno-error=unused-parameter -Wno-error=deprecated-declarations -Wl,-O1 -Wl,--sort-common -Wl,-z -Wl,now -o .libs/heif-thumbnailer heif_thumbnailer-encoder.o heif_thumbnailer-heif_thumbnailer.o heif_thumbnailer-encoder_png.o  -lpng16 -lz -Wl,--as-needed ../libheif/.libs/libheif.so -lde265 -lx265 -lpthread
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -m32 -I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1 -I.. -march=native -mfpmath=sse,387 -mtune=intel -O3 -frecord-gcc-switches -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe -Wall  -Wsign-compare -Wconversion -Wno-sign-conversion -Wno-error=conversion -Wno-error=unused-parameter -Wno-error=deprecated-declarations  -Wl,--as-needed -Wl,-O1 -Wl,--sort-common -Wl,-z,now -o test-c-api test_c_api-test_c_api.o ../libheif/libheif.la -lpthread
GOPATH=/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86/examples PKG_CONFIG_PATH=/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86 CGO_CFLAGS="-I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86" CGO_LDFLAGS="-L/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86/libheif/.libs" LD_LIBRARY_PATH=/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86/libheif/.libs /usr/bin/go build -o heif-test-go heif-test.go
libtool: link: x86_64-pc-linux-gnu-gcc -m32 -I/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1 -I.. -march=native -mfpmath=sse,387 -mtune=intel -O3 -frecord-gcc-switches -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe -Wall -Wsign-compare -Wconversion -Wno-sign-conversion -Wno-error=conversion -Wno-error=unused-parameter -Wno-error=deprecated-declarations -Wl,-O1 -Wl,--sort-common -Wl,-z -Wl,now -o .libs/test-c-api test_c_api-test_c_api.o  -Wl,--as-needed ../libheif/.libs/libheif.so -lde265 -lx265 -lpthread
# github.com/strukturag/libheif/go/heif
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86/libheif/.libs/libheif.so when searching for -lheif
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lheif
collect2: Fehler: ld gab 1 als Ende-Status zurück
make[2]: *** [Makefile:1107: heif-test-go] Fehler 2
make[2]: Verzeichnis „/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86/examples“ wird verlassen
make[1]: *** [Makefile:518: all-recursive] Fehler 1
make[1]: Verzeichnis „/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86“ wird verlassen
make: *** [Makefile:427: all] Fehler 2
 * ERROR: media-libs/libheif-1.5.1::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=media-libs/libheif-1.5.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/libheif-1.5.1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/libheif-1.5.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/libheif-1.5.1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1-abi_x86_32.x86'
 * S: '/var/tmp/portage/media-libs/libheif-1.5.1/work/libheif-1.5.1'
Comment 1 Conrad Kostecki gentoo-dev 2019-10-06 13:37:24 UTC
Created attachment 591980 [details]
build.log
Comment 2 Conrad Kostecki gentoo-dev 2019-10-06 13:39:02 UTC
Portage 2.3.76 (python 3.7.4-final-0, default/linux/amd64/17.1/desktop, gcc-9.2.0, glibc-2.29-r5, 5.3.2-gentoo x86_64)
=================================================================
System uname: Linux-5.3.2-gentoo-x86_64-Intel-R-_Core-TM-_i7-6600U_CPU_@_2.60GHz-with-gentoo-2.6
KiB Mem:    32592724 total,  23084420 free
KiB Swap:   17301500 total,  17301500 free
Timestamp of repository gentoo: Sun, 06 Oct 2019 09:15:01 +0000
Head commit of repository gentoo: 492fd32ad8635279c6c33494e327971b59b140a7
sh bash 5.0_p11
ld GNU ld (Gentoo 2.32 p2) 2.32.0
distcc 3.3.3 x86_64-pc-linux-gnu [disabled]
ccache version 3.7.4 [enabled]
app-shells/bash:          5.0_p11::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.0::gentoo
dev-lang/python:          2.7.16::gentoo, 3.5.7::gentoo, 3.6.9::gentoo, 3.7.4-r1::gentoo
dev-util/ccache:          3.7.4::gentoo
dev-util/cmake:           3.15.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            9.2.0-r1::gentoo
sys-devel/gcc-config:     2.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: --exclude-from=/etc/portage/rsync_excludes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

crossdev
    location: /usr/local/crossdev
    masters: gentoo

serenity
    location: /usr/local/portage
    masters: gentoo

sattvik
    location: /var/lib/layman/sattvik
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/user/sattvik.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: https://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

tlp
    location: /var/lib/layman/tlp
    sync-type: laymansync
    sync-uri: git://github.com/dywisor/tlp-portage.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mfpmath=sse,387 -mtune=intel -O3 -frecord-gcc-switches -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -mfpmath=sse,387 -mtune=intel -O3 -frecord-gcc-switches -fomit-frame-pointer -malign-data=abi -mtls-dialect=gnu2 -pipe -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n --quiet-build=n --with-bdeps=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-frecord-gcc-switches"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox protect-owned sandbox sfperms sign strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-frecord-gcc-switches"
GENTOO_MIRRORS="https://mirror.netcologne.de/gentoo/"
INSTALL_MASK="/etc/systemd/* /etc/xinetd.d/* /usr/lib/systemd/*"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,--as-needed -Wl,-O1 -Wl,--sort-common -Wl,-z,now"
LINGUAS="de de_DE"
MAKEOPTS="-j5 -l4"
PKGDIR="/var/cache/binpkgs"
PORTAGE_BUNZIP2_COMMAND="pbunzip2"
PORTAGE_BZIP2_COMMAND="pbzip2"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9e"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib accessibility acl adns alsa amd64 berkdb bidi bluetooth bzip2 cairo calendar caps cdda cddb cdinstall cgi cjk colord cracklib crypt cups curl cvs cxx dbus dga djvu dri dts dv dvb dvd eds encode exif fbcon ffmpeg fftw flac fontconfig fortran ftp gd gdbm geoip geolocation gif git gmp gnome-keyring gnutls gphoto2 gpm graphviz gsm gstreamer gtk iconv icu idn ieee1394 imagemagick imap imlib inotify introspection ipv6 java javascript jbig jemalloc jingle jit joystick jpeg jpeg2k lame latex lcms ldap libass libcaca libnotify libsamplerate lm-sensors lua luajit lzma lzo mad maildir matroska mhash mikmod milter mmap mms mng modplug mono motif mp3 mpeg mplayer mtp musepack mysql mysqli ncurses networkmanager nls nntp nptl nsplugin offensive ogg openal openexr opengl openmp opus orc oss pam pcre pdf perl pie png policykit posix postscript pulseaudio python qt5 quicktime raw rdp readline rtmp samba sasl scanner sctp sdl seccomp session slang slp smartcard sndfile snmp soap sockets sound sox speex spell split-usr sqlite ssl startup-notification subversion suid svg symlink syslog taglib tcpd theora threads tiff timidity truetype udev udisks unicode upnp usb v4l vaapi vcd vdpau vim-syntax vnc vorbis vpx wavpack wayland webkit webp wifi wmf wxwidgets x264 xattr xcb xcomposite xface xft xinetd xml xmp xpm xscreensaver xv xvid zeroconf zip zlib zsh-completion zstd" ABI_X86="32 64" COLLECTD_PLUGINS="apcups battery cgroups conntrack contextswitch cpu cpufreq cpusleep df disk dns entropy ethstat exec fhcount filecount gps hddtemp hugepages interface ipc ipmi iptables irq load lvm java mcelog md memory mysql netlink nfs nginx ntpd openldap openvpn ping postgresql processes protocols rrdcached sensors serial smart snmp swap syslog tcpconns thermal turbostat unixsock uptime users wireless" CPU_FLAGS_X86="aes avx avx2 mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="garmin garmintxt nmea0183" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de de_DE" LCD_DEVICES="cfontzpacket crystalfontz glcd2usb hd44780 lcd2usb" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" NGINX_MODULES_HTTP="access auth_basic autoindex brotli browser charset fancyindex fastcgi geo geoip geoip2 gunzip gzip gzip_static headers_more image_filter javascript limit_conn limit_req map metrics proxy realip referer rewrite secure_link sticky stub_status upload_progress upstream_keepalive vhost_traffic_status xslt" NGINX_MODULES_MAIL="imap pop3 smtp" NGINX_MODULES_STREAM="access geo geoip geoip2 javascript limit_conn map realip return ssl_preread" PHP_TARGETS="php7-3" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6 python3_7" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby26" SANE_BACKENDS="hp net" USERLAND="GNU" VIDEO_CARDS="i965 intel iris"
Unset:  CC, CPPFLAGS, CTARGET, CXX, PORTAGE_BINHOST
Comment 3 Christian Strahl 2019-10-06 22:53:40 UTC
Created attachment 592024 [details]
libheif-1.5.1.build.log

same here
Comment 4 Christian Strahl 2019-10-06 22:54:57 UTC
# emerge --info
Portage 2.3.76 (python 3.6.9-final-0, default/linux/amd64/17.1/desktop/gnome/systemd, gcc-8.3.0, glibc-2.29-r2, 4.19.52-gentoo x86_64)
=================================================================
System uname: Linux-4.19.52-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_E5-1650_v3_@_3.50GHz-with-gentoo-2.6
KiB Mem:    32855316 total,  17903300 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 06 Oct 2019 15:07:13 +0000
Head commit of repository gentoo: b0dff8d932f3e9da8aad53559ad36dbd6f92e01a

sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.9::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo
    priority: -1000

local-repo
    location: /usr/local/local_gentoo_overlay
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -fweb -ftracer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -fweb -ftracer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --jobs 3"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/"
LANG="de_DE@euro"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j13"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext 64bit 7zip X a52 aac acl acpi alsa amd64 apache2 apm apng applet aqua_theme asf async audio automount avahi bash-completion berkdb bonobo branding bzip2 c++ cairo calendar cdda cddb cdio cdr cdrom cgi cli colord crypt css ctype cups custom-optimization cvs cvsgraph cxx dbus dhcp directfb divx divx4linux dpms dri dts dvb dvbplayer dvd dvdr emboss emerald emul-linux-x86 encode evo exif ext-png fam fat fbcon fbcondecor fbsplash ffmpeg flac flash fortran fpx ftp g3dvl gaim gdbm gecko gedit gif gimp git glade glamor glitz gnome gnome-keyring gnome-online-accounts gnome-print gnomecanvas gnomedb gnutls gpm gps graphviz grub gs gsl gstreamer gtk gtkhtml gzip h323 hddtemp heif hfs icons iconv icq icu id3 imap inkjar introspection ios ipsec ipv6 java jfs jpeg jpeg2k kvm lame lcms ldap libnotify libsecret libtirpc libvisual live lm_sensors logitech-mouse mad math matroska ming mmxext mng mod moonlight mouse mozbranding mozilla moznopango mp2 mp3 mp4 mp4live mpd-mad mpe mpeg mpeg2 mpeg4 mplayer mplayer-bin multilib musepack mysql nautilus ncurses net networkmanager nfs nfsidmap nfsv4 nfsv41 nls no-seamonkey nptl nsplugin ntfs nvidia ogg openal opengl openmp opus pam pango pcap pcapnav pcre pdf plotutils png policykit postscript ppds pulseaudio python qt5 rar readline real samba sblive scanner sdl seccomp sensord sftp simplexml skins slang smp spell split-usr sql sqlite sse-filters ssl startup-notification stream svg svgz systemd tcpd themes theora thesaurus threads thunderbird tidy tiff totem transcode truetype tv_check type1 udev udisks unicode upower usb userlocales utf8 vcd vdpau vdr vfat video vim vim-syntax vorbis wav webdav winbind wireshark wma wmf wxwidgets x264 xattr xcb xfs xine xinerama xml xmldoclet xmlreader xmlwriter xpm xprint xscreensaver xsettings xsl xslt xulrunner xv xvid zeroconf zip zlib" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="nvidia nv" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Christian Strahl 2019-10-06 23:06:04 UTC
Created attachment 592026 [details]
libheif-1.5.1.ebuild

I've tried to create an ebuild which uses cmake to build the library.
It works, but I didn't find a way to build without support for threading or tests, so I dropped the useflags for it.
Comment 6 Christian Strahl 2019-11-08 13:19:35 UTC
any updates?
Comment 7 Konstantin Münning 2019-11-21 22:20:35 UTC
Had same problem here. Apparently the build of libheif-1.5 expects libheif to be already installed. A kind of chicken-egg-problem ;-).

My workaround - provide some libheif so the build can find it. Details follow.

As libheif-1.5 installed fine on a machine where libheif-1.3 was already present, I made a binary package and installed it on the machine without libheif. Then emerging/building a fresh one on that machine runs fine - in case one needs to replace the binary installed one with a locally compiled version.

So maybe someone should check why libheif tries to link to itself. Meanwhile to enable the workaround above for people who don't have a binary libheif available maybe version 1.3 could be returned into portage until the fix is available.
Comment 8 Christian Strahl 2019-11-26 09:45:40 UTC
This error only occurs on systems where I have 64 and 32 bit enabled (ABI_X86="64 32")
Comment 9 Christian Strahl 2019-11-26 09:52:11 UTC
This error occurs also with media-libs/libheif-1.6.0
Comment 10 Conrad Kostecki gentoo-dev 2019-11-29 13:49:23 UTC
(In reply to Christian Strahl from comment #8)
> This error only occurs on systems where I have 64 and 32 bit enabled
> (ABI_X86="64 32")

Yep. With ABI_X86="64" I was able to compile libheif-1.6.0, after that, ABI_X86="32 64" worked just fine.
Comment 11 Alexander Tsoy 2020-01-04 05:34:19 UTC
On amd64 tests for abi_x86_32 requires go compiler with 32 bit target support. And ebuild should set GOARCH=i386 for x86_32 abi. Otherwise test is compiled for x86_64 and linked with 64 bit libheif. 

Since go compiler in gentoo doesn't support non-native targets, tests for non-native ABIs should be disabled:

cmd/go: unsupported GOOS/GOARCH pair linux/i386
Comment 12 Alexander Tsoy 2020-01-04 06:02:24 UTC
Oops, it should be GOARCH=386 and it's supported. So after adding the following to ebuild:

multilib_src_compile() {                                                  
    if [[ ${ABI} = x86 ]]; then                                           
        GOARCH=386 default_src_compile                                    
    else                                                                  
        default_src_compile                                               
    fi                                                                    
}

I'm now getting different error:

# command-line-arguments                                                  
./heif-test.go:83:12: undefined: heif.NewContext                          
./heif-test.go:114:33: undefined: heif.ColorspaceUndefined                
./heif-test.go:114:59: undefined: heif.ChromaUndefined                    
./heif-test.go:143:14: undefined: heif.EncodeFromImage                    
./heif-test.go:143:38: undefined: heif.CompressionHEVC                    
./heif-test.go:143:69: undefined: heif.LosslessModeEnabled                
./heif-test.go:143:95: undefined: heif.LoggingLevelFull                   
./heif-test.go:159:38: undefined: heif.GetVersion                         
make[2]: *** [Makefile:1107: heif-test-go] Error 2
Comment 13 Alexander Tsoy 2020-01-04 07:06:32 UTC
Also go is needed to compile examples and tests and it shouldn't be enabled automagically. Configure accepts --disable-go option.
Comment 14 Christian Strahl 2020-02-02 00:55:11 UTC
This error occurs also with media-libs/libheif-1.6.1

Please rename this bug accordningly
Comment 15 Larry the Git Cow gentoo-dev 2020-08-16 18:01:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e5ad988066758717d00cbb360d708a6e71ab6e2

commit 7e5ad988066758717d00cbb360d708a6e71ab6e2
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-08-16 17:58:01 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-08-16 18:01:43 +0000

    media-libs/libheif: Add USE=go, disable for non-native ABIs
    
    Package-Manager: Portage-3.0.2, Repoman-2.3.23
    Closes: https://bugs.gentoo.org/696850
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 media-libs/libheif/libheif-1.7.0.ebuild | 16 +++++++---------
 media-libs/libheif/libheif-9999.ebuild  | 13 ++++++-------
 media-libs/libheif/metadata.xml         |  3 +++
 3 files changed, 16 insertions(+), 16 deletions(-)